package com.yihu.jw.entity.iot.copdDevice;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by Bing on 2021/4/14.
 * 华米医疗设备pai
 */
@Entity
@Table(name="wlyy_copd_huami_pai")
public class WlyyCopdHuamiPaiDO extends UuidIdentityEntity {
    private String  deviceSn;  //设备ID 即sn码
    private String  calendarDay;   //PAI概况的生成日期，例如“2019-10-18”
    private String  timestamp;  //数据上传到华米后端的时间戳
    private String  totalPai;  //用户本周运动前获得的所有PAI
    private String  dailyPai;  //用户在当天获得的PAI
    private String  date;//创建时间

    @Column(name="device_sn")
    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    @Column(name="calendar_day")
    public String getCalendarDay() {
        return calendarDay;
    }

    public void setCalendarDay(String calendarDay) {
        this.calendarDay = calendarDay;
    }

    @Column(name="timestamp")
    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    @Column(name="total_pai")
    public String getTotalPai() {
        return totalPai;
    }

    public void setTotalPai(String totalPai) {
        this.totalPai = totalPai;
    }

    @Column(name="daily_pai")
    public String getDailyPai() {
        return dailyPai;
    }

    public void setDailyPai(String dailyPai) {
        this.dailyPai = dailyPai;
    }

    @Column(name="date")
    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }
}
